#To load polygons with the research areas:
area <- array(c(10,10,15,35,40,35,5,35,35,30,30,10),dim=c(6,2))
landuse1 <- array(c(10,10,15,15,30,35,35,30), dim=c(4,2))
landuse2 <- array(c(10,10,15,15,35,30,10,30,30,35,30,15), dim=c(6,2))
landuse3 <- array(c(10,10,30,35,40,35,5,10,15,30,30,10), dim=c(6,2))
window <- array(c(15,15,30,30,10,25,25,10), dim=c(4,2))

#To plot the research area:
plot(area[,1], area[,2], type="n", xlab="horizontal position", ylab="vertical position", lwd=2, bty="l")
polygon(landuse1)
polygon(landuse2)
polygon(landuse3)

#To randomly select sample plots in a window:
plot(area[,1], area[,2], type="n", xlab="horizontal position", ylab="vertical position", lwd=2, bty="l")
polygon(landuse1)
polygon(landuse2)
polygon(landuse3)
spatialsample(window, method="random", n=20, xwidth=1, ywidth=1, plotit=T, plothull=T)

#To randomly select sample plots in the survey area:
plot(area[,1], area[,2], type="n", xlab="horizontal position", ylab="vertical position", lwd=2, bty="l")
polygon(landuse1)
polygon(landuse2)
polygon(landuse3)
spatialsample(area, method="random", n=20, xwidth=1, ywidth=1, plotit=T, plothull=F)

#To select sample plots on a grid:
plot(area[,1], area[,2], type="n", xlab="horizontal position", ylab="vertical position", lwd=2, bty="l")
polygon(landuse1)
polygon(landuse2)
polygon(landuse3)
spatialsample(area, method="grid", xwidth=1, ywidth=1, plotit=T, xleft=10.5, ylower=5.5, xdist=1, ydist=1)

#To select sample plots on a grid (alternative):
plot(area[,1], area[,2], type="n", xlab="horizontal position", ylab="vertical position", lwd=2, bty="l")
polygon(landuse1)
polygon(landuse2)
polygon(landuse3)
spatialsample(area, method="grid", xwidth=1, ywidth=1, plotit=T, xleft=12, ylower=7, xdist=4, ydist=4)

#To randomly select sample plots from a grid:
plot(area[,1], area[,2], type="n", xlab="horizontal position", ylab="vertical position", lwd=2, bty="l")
polygon(landuse1)
polygon(landuse2)
polygon(landuse3)
spatialsample(area, method="random grid", n=20, xwidth=1, ywidth=1, plotit=T, xleft=10.5, ylower=5.5, xdist=1, ydist=1)

#To randomly select sample plots from a grid (alternative):
plot(area[,1], area[,2], type="n", xlab="horizontal position", ylab="vertical position", lwd=2, bty="l")
polygon(landuse1)
polygon(landuse2)
polygon(landuse3)
spatialsample(area, method="random grid", n=20, xwidth=1, ywidth=1, plotit=T, xleft=12, ylower=7, xdist=4, ydist=4)

#To select sample plots from a grid with random start:
plot(area[,1], area[,2], type="n", xlab="horizontal position", ylab="vertical position", lwd=2, bty="l")
polygon(landuse1)
polygon(landuse2)
polygon(landuse3)
spatialsample(area, method="random grid", n=20, xwidth=1, ywidth=1, plotit=T, xdist=4, ydist=4)

#To randomly select maximum 10 sample plots from each type of landuse:
plot(area[,1], area[,2], type="n", xlab="horizontal position", ylab="vertical position", lwd=2, bty="l")
polygon(landuse1)
polygon(landuse2)
polygon(landuse3)
spatialsample(landuse1, n=10, method="random", plotit=T)
spatialsample(landuse2, n=10, method="random", plotit=T)
spatialsample(landuse3, n=10, method="random", plotit=T)

#To randomly select sample plots from a grid within each type of landuse. Within each landuse, the grid has a random starting position:
plot(area[,1], area[,2], type="n", xlab="horizontal position", ylab="vertical position", lwd=2, bty="l")
polygon(landuse1)
polygon(landuse2)
polygon(landuse3)
spatialsample(landuse1, n=10, method="random grid", xdist=2, ydist=2, plotit=T)
spatialsample(landuse2, n=10, method="random grid", xdist=4, ydist=4, plotit=T)
spatialsample(landuse3, n=10, method="random grid", xdist=4, ydist=4, plotit=T)
 
#To calculate sample size requirements:
power.t.test(n=NULL, delta=1, sd=1, sig.level=0.05, power=0.8, type="two.sample")
power.t.test(n=NULL, delta=0.5, sd=1, sig.level=0.05, power=0.8, type="two.sample")
power.anova.test(n=NULL, groups=4, between.var=1, within.var=1, power=0.8)
power.anova.test(n=NULL, groups=4, between.var=2, within.var=1, power=0.8)

#To calculate the area of a polygon:
areapl(landuse1)

