#To calculate the total number of species:
Diversity.1 <- diversityresult(dune, index="richness")
Diversity.1

#To calculate the total species richness for separate sites:
Diversity.2 <- diversityresult(dune, index="richness",method="s")
Diversity.2
summary(Diversity.2)
Diversity.3 <- diversityresult(dune[1:2,], index="richness")
Diversity.3

#To compare the total number of species for various subsets of data:
Diversity.4 <- diversitycomp(dune, y=dune.env,factor1="Management", index="richness",method="all")
Diversity.4

#To calculate a sample-based species accumulation curve
Accum.1 <- accumresult(dune, method="exact")
Accum.1
accumplot(Accum.1)
Accum.2 <- accumresult(dune, method="random",permutations=1000)
Accum.2
accumplot(Accum.2,addit=T,col=2)

#To calculate a sample-based species accumulation curve scaled by the number of accumulated individual plants
dune.env$site.totals <- apply(dune,1,sum)
Accum.3 <- accumresult(dune, y=dune.env, scale="site.totals",method="exact")
Accum.3
accumplot(Accum.3, xlab="pooled individuals")

# To calculate an individual-based species accumulation curve (first scaled by the number of
# sites in Accum.4, then by the number of accumulated plants in Accum.5)
Accum.4 <- accumresult(dune, method="rarefaction")
Accum.4
accumplot(Accum.4)
dune.env$site.totals <- apply(dune,1,sum)
Accum.5 <- Accum.5 <- accumresult(dune, y=dune.env,scale="site.totals", method="rarefaction")
Accum.5
accumplot(Accum.5, xlab="pooled individuals")

#To compare species richness between various subsets in the data using species accumulation curves
Accum.6 <- accumcomp(dune, y=dune.env, factor="Management",method="exact")
# click in the graph to show where the legend should be placed
Accum.6
dune.env$site.totals <- apply(dune,1,sum)
Accum.7 <- accumcomp(dune, y=dune.env, factor="Management",scale="site.totals", method="exact", xlab="pooled individuals")
# click in the graph to show where the legend should be placed
Accum.7

#To calculate a collectors curve
Accum.8 <- accumresult(dune, method="collector")
Accum.8
accumplot(Accum.8)

#Calculating the expected species richness for the entire survey area
Diversity.5 <- diversityresult(dune, index="jack1")
Diversity.5
Diversity.6 <- diversityresult(dune, index="jack2")
Diversity.6
Diversity.7 <- diversityresult(dune, index="chao")
Diversity.7
Diversity.8 <- diversityresult(dune, index="boot")
Diversity.8
