#To calculate and plot a rank-abundance curve:
RankAbun.1 <- rankabundance(dune)
RankAbun.1
rankabunplot(RankAbun.1, scale="abundance",specnames=c(1:3))
rankabunplot(RankAbun.1, scale="proportion",specnames=c(1:3))

#To model a rank-abundance curve:
radfitresult(dune)

#To calculate and plot a Rnyi diversity profile:
Renyi.1 <- renyiresult(dune)
Renyi.1
renyiplot(Renyi.1, legend=FALSE)
renyiplot(Renyi.1, evenness=TRUE, legend=FALSE)

#To calculate and plot a Rnyi diversity profile for each site separately:
Renyi.2 <- renyiresult(dune, method="s")
Renyi.2
renyiplot(Renyi.2, legend=FALSE)
renyiplot(Renyi.2, evenness=TRUE, legend=FALSE)

#To calculate diversity indices for each site:
Diversity.1 <- diversityresult(dune, index="Shannon", method="s")
Diversity.1
Diversity.2 <- diversityresult(dune, index="Simpson", method="s")
Diversity.2
Diversity.3 <- diversityresult(dune, index="Logalpha", ,method="s")
Diversity.3

#To compare diversity between subsets of the dataset:
Renyi.3 <- renyicomp(dune, y=dune.env, factor="Management", permutations=100)
# Click in the graph to show where the legend should be placed
Renyi.3

#To calculate accumulation patterns for the Rnyi diversity profile
Renyi.4 <- renyiaccum(dune, permutations=100)
Renyi.4
persp(Renyi.4)
rgl.renyiaccum(Renyi.4)
