faramea <- read.table(file.choose())
attach(faramea)

#To analyse presence or absence by cross-tabs:
table1 <- table(Faramea.occidentalis>0, Age.cat)
Presabs.1 <- chisq.test(table1)
Presabs.1
Presabs.1$observed
Presabs.1$expected

#To calculate a generalized linear regression model (GLM):
Presabs.model2 <- glm(formula = Faramea.occidentalis>0 ~ Age.cat, family = binomial(link=logit), data = faramea, na.action = na.exclude)
summary(Presabs.model2)
anova(Presabs.model2,test="F")
predict(Presabs.model2, type="response", se.fit=T)
null.model <- glm(formula = Faramea.occidentalis>0 ~ 1, family = binomial(link=logit) , data = faramea, na.action = na.exclude)
anova(null.model, Presabs.model2, test="Chi")
plot(Presabs.model2)
termplot(Presabs.model2, se=T, partial.resid=T, rug=T, terms="Age.cat")
library(effects)
plot(effect("Age.cat", Presabs.model2))
Presabs.model3 <- glm(formula = Faramea.occidentalis>0 ~ Age.cat, family = quasibinomial(link=logit) , data = faramea, na.action = na.exclude)
summary(Presabs.model3)
Presabs.model4 <- glm(formula = Faramea.occidentalis>0 ~ Elevation, family = quasibinomial(link=logit) , data = faramea, na.action = na.exclude)
summary(Presabs.model4)

#To calculate a generalized additive regression model (GAM):
Presabs.model5 <- gam(formula = Faramea.occidentalis>0 ~ s(Precipitation) + Geology + Age.cat + s(Elevation), family = quasibinomial(link=logit) , data = faramea, na.action = na.exclude)
summary(Presabs.model5)

#To calculate a GLM with several explanatory variables:
Presabs.model6 <- glm(formula = Faramea.occidentalis > 0 ~ Precipitation + I(Precipitation^2) + Geology + Age.cat + Elevation + I(Elevation^2), family = binomial(link = logit) , data = faramea, na.action = na.exclude)
summary(Presabs.model6)
anova(Presabs.model6,test="Chi")
drop1(Presabs.model6, test="Chi")
