#Calculate and plot agglomerative clustering:
library(cluster)
distmatrix <- vegdist(dune, method="bray")
distmatrix
Cluster.1 <- agnes(distmatrix, method="single")
summary(Cluster.1)
plot(Cluster.1, which.plots=2,main="",sub="",xlab="",ylab="")
plot(Cluster.1, which.plots=2, hang=-1,main="",sub="",xlab="",ylab="")
Cluster.2 <- agnes(distmatrix, method="single")
summary(Cluster.2)
Cluster.3 <- agnes(distmatrix, method="complete")
summary(Cluster.1)

#Calculate and plot divisive clustering:
distmatrix <- vegdist(dune, method="bray")
Cluster.4 <- diana(distmatrix)
summary(Cluster.4)
plot(Cluster.4, which.plots=2,main="",sub="",xlab="",ylab="")
plot(Cluster.4, which.plots=2, hang=-1,main="",sub="",xlab="",ylab="")

#Calculating cophenetic correlation (for hierarchical clusters):
copheneticdist <- cophenetic(Cluster.1)
copheneticdist
mantel(distmatrix,copheneticdist,permutations=1000)
plot(distmatrix, copheneticdist)
abline(0,1)

#Selecting cluster membership from a hierarchical clustering:
cutree(Cluster.1,k=4)
plot(Cluster.1, which.plots=2, hang=-1,main="",sub="",xlab="",ylab="")
rect.hclust(Cluster.1, k=4, border="blue")
rect.hclust(Cluster.1, k=4)

#Calculating non-hierarchical clusters:
distmatrix <- vegdist(dune,method="bray")
Cluster.5 <- kmeans(dune, centers=5, iter.max=100)
Cluster.5
Cluster.6 <- pam(distmatrix, k=5)
summary(Cluster.6)
Cluster.7 <- clara(dune, k=5)
summary(Cluster.7)
Cluster.8 <- fanny(distmatrix, k=5)
summary(Cluster.8)
